"""Add new cleanup task.

Revision ID: 844aa61c09ce
Revises: 88dd5a44150d
Create Date: 2024-08-13 12:23:11.043293

"""

from uuid import uuid4

import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = '844aa61c09ce'
down_revision = '88dd5a44150d'
branch_labels = None
depends_on = None

workflows = [
    {
        "name": "task_clean_old_tasks",
        "target": "SYSTEM",
        "description": "Remove old cleanup tasks",
        "workflow_id": uuid4(),
    }
]


def upgrade() -> None:
    conn = op.get_bind()
    for workflow in workflows:
        conn.execute(
            sa.text(
                "INSERT INTO workflows VALUES (:workflow_id, :name, :target, :description, now())"
            ),
            workflow,
        )


def downgrade() -> None:
    conn = op.get_bind()
    for workflow in workflows:
        conn.execute(sa.text("DELETE FROM workflows WHERE name = :name"), {"name": workflow["name"]})
